package org.springblade.person.feign;

import org.springblade.person.entity.Disabler;
import org.springblade.person.vo.DisablerVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class DisablerClientFallback implements IDisablerClient {
            /**
         * 详情
         */
        @Override
        public DisablerVO detail(Disabler disabler) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<DisablerVO> list(Disabler disabler) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( Disabler disabler) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( Disabler disabler) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( Disabler disabler) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

		/**
		 * 根据parentId获取详情
		 * @param parentId
		 * @return
		 */
		@Override
		public DisablerVO detailByParentId(Long parentId) {
			return null;
		}

}
